#import "HandpointAll.h"

@interface HandpointModule : NSObject <HeftDiscoveryDelegate, HeftStatusReportDelegate>

- (instancetype)initWithSharedSecret:(NSString *)sharedSecret;
- (void)saleWithAmount:(NSInteger)amount currency:(NSString *)currency;
- (void)refundWithAmount:(NSInteger)amount currency:(NSString *)currency;
- (void)saleReversalWithAmount:(NSInteger)amount currency:(NSString *)currency originalTransactionID:(NSString *)originalTransactionID;
- (void)refundReversalWithAmount:(NSInteger)amount currency:(NSString *)currency originalTransactionID:(NSString *)originalTransactionID;
- (void)connectToAddress:(NSString *)address;
- (void)setLogLevel:(eLogLevel)logLevel;
- (void)getDeviceLogs;
- (void)getPendingTransaction;
- (void)update;
- (void)listDevices;
-(NSMutableArray *)getDeviceList;
@end
